E-MailRelay

Public Member Functions | List of all members
GNet::LineBufferState Class Reference

Provides information abount the state of a line buffer. More...

`#include <glinebuffer.h>`

## Public Member Functions
| LineBufferState (const LineBuffer &)
| Constructor. More...
bool | transparent () const
| Returns LineBuffer::transparent(). More...
std::string | eol () const
| Returns LineBuffer::eol(). More...
std::size_t | size () const
| Returns the number of bytes currently buffered up. More...
bool | empty () const
| Returns true iff size() is zero. More...
std::string | head () const
| Returns the first bytes of buffered data up to a limit of sixteen bytes. More...

## Detailed Description

Provides information abount the state of a line buffer.

Definition at line 382 of file glinebuffer.h.

## Constructor & Destructor Documentation

## ◆ LineBufferState()

GNet::LineBufferState::LineBufferState | ( | const LineBuffer & | line_buffer | ) |
| inline explicit

Constructor.

Definition at line 579 of file glinebuffer.h.

## Member Function Documentation

## ◆ empty()

bool GNet::LineBufferState::empty | ( |  | ) | const
| inline

Returns true iff size() is zero.

Definition at line 606 of file glinebuffer.h.

## ◆ eol()

std::string GNet::LineBufferState::eol | ( |  | ) | const
| inline

Returns LineBuffer::eol().

Definition at line 588 of file glinebuffer.h.

## ◆ head()

std::string GNet::LineBufferState::head | ( |  | ) | const
| inline

Returns the first bytes of buffered data up to a limit of sixteen bytes.

Definition at line 612 of file glinebuffer.h.

## ◆ size()

std::size_t GNet::LineBufferState::size | ( |  | ) | const
| inline

Returns the number of bytes currently buffered up.

Definition at line 600 of file glinebuffer.h.

## ◆ transparent()

bool GNet::LineBufferState::transparent | ( |  | ) | const
| inline

Returns LineBuffer::transparent().

Definition at line 594 of file glinebuffer.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/glinebuffer.h